## pycollada 0.7.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pycollada.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pycollada.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== examples/daeview/requirements.txt ===
This example requires pyglet library: http://pyglet.org/

On Debian-based systems you can apt-get install python-pyglet.

You can install it on windows using easy_install pyglet or pip install
pyglet.

At the time of writing this exampke, pip install pyglet or
easy_install pyglet seems to be broken on 64bit MacOSX, So you will
probably need to install: pip install
hg+https://pyglet.googlecode.com/hg/ and/or read OSX-specific
installation instructions on pyglet.org.

## pycollada 0.4

=== debian/changelog ===
pycollada (0.4-2) unstable; urgency=medium

  * [80ccaf2] Update Standards-Version to 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Sun, 05 Jan 2014 21:27:05 +0100

pycollada (0.4-1) unstable; urgency=low

  * Initial package for Debian. (Closes: #711034)

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Jun 2013 06:40:51 +0200

=== debian/control ===
Source: pycollada
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-dev (>=2.6.6-3~),
 python-dateutil,
 python-lxml,
 python-numpy,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg)
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Section: libs
Homepage: http://pycollada.readthedocs.org
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pycollada.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pycollada.git

Package: python-collada
Section: python
Architecture: all
Depends:
 python (<<2.8),
 python (>= 2.7),
 python-dateutil,
 python-lxml,
 python-numpy,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends}
Description: Python module for creating, editing and loading COLLADA
 Pycollada is a Python module for creating, editing and loading COLLADA, which 
 is a COLLAborative Design Activity for establishing an interchange file format
 for interactive 3D applications. The library allows you to load a COLLADA file
 and interact with it as a Python object. In addition, it supports creating a 
 collada Python object from scratch, as well as in-place editing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

export PYTHONPATH :=  $(CURDIR).;

override_dh_installdocs:
	dh_installdocs
	make -C docs html
	cp -r docs/_build/html debian/python-collada/usr/share/doc/python-collada
	rm debian/python-collada/usr/share/doc/python-collada/html/_static/empty
	dh_sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pycollada.egg-info
	rm -rf docs/_build

override_dh_auto_test:
	export PYTHONPATH=$(CURDIR); cd collada/tests; \
		python test_asset.py; \
		python test_camera.py; \
		python test_collada.py; \
		python test_geometry.py; \
		python test_iteration.py; \
		python test_light.py; \
		python test_material.py; \
		python test_scene.py; \
		python test_source.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## pycollada 0.6

=== debian/changelog ===
pycollada (0.6-2) unstable; urgency=medium

  * [ed71f3f] Update to Standards Version 4.5.0 (no changes needed)
  * Make a new source-only upload (Closes: #952893)

 -- Kurt Kremitzki <kurt@kwk.systems>  Mon, 02 Mar 2020 16:50:07 -0600

pycollada (0.6-1) unstable; urgency=medium

  * Team Upload

  [ Sylvestre Ledru ]
  * New upstream release
    Closes: #901894
  * Add dh-python in the build-deps

  [ Kurt Kremitzki ]
  * Enable Python 3 builds
  * Split out doc package
  * Clean up lintian issues
  * Update Standards-Version 4.2.1

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Drop Python2 package
    Closes: #937409
  * Build-Depends: graphviz

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2019 11:42:21 +0200

pycollada (0.4-3) unstable; urgency=medium

  * Team upload.
  * [6e029f6] Apply cme fix dpkg-control
  * [4b06d64] Apply cme fix dpkg-copyright
  * [4a6ddb8] Set compat level 11
  * [0a8daa3] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Mon, 16 Apr 2018 21:43:21 +0200

=== debian/control ===
Source: pycollada
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               python3,
               python3-dateutil,
               python3-lxml,
               python3-numpy,
               python3-setuptools,
               python3-sphinx,
               dh-python,
               graphviz
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/pycollada
Vcs-Git: https://salsa.debian.org/science-team/pycollada.git
Homepage: https://pycollada.readthedocs.org

Package: python3-collada
Architecture: all
Section: python
Depends: python3,
         python3-dateutil,
         python3-lxml,
         python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 module for creating, editing and loading COLLADA
 Pycollada is a Python module for creating, editing and loading COLLADA, which
 is a COLLAborative Design Activity for establishing an interchange file format
 for interactive 3D applications. The library allows you to load a COLLADA file
 and interact with it as a Python object. In addition, it supports creating a
 collada Python object from scratch, as well as in-place editing.
 .
 This package contains the Python 3 files for Pycollada.

Package: python-collada-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python module for creating, editing and loading COLLADA - docs
 Pycollada is a Python module for creating, editing and loading COLLADA, which
 is a COLLAborative Design Activity for establishing an interchange file format
 for interactive 3D applications. The library allows you to load a COLLADA file
 and interact with it as a Python object. In addition, it supports creating a
 collada Python object from scratch, as well as in-place editing.
 .
 This package contains the documentation files for Pycollada.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/pycollada-$1.tar.gz/ \
https://github.com/pycollada/pycollada/tags .*/v?(\d[\d\.]+)\.tar\.gz

## pycollada 0.7.2

=== debian/changelog ===
pycollada (0.7.2-1) unstable; urgency=medium

  * [5cd1380] Update d/watch to version 4
  * [309fdce] Use my @d.o address for uploader
  * [e271b67] Update to Standards-Version 4.6.1 (no changes)
  * [6eece5e] Bump compat level to 13
  * [2ad12af] Add Bug-Database to upstream metadata
  * [39d973a] Skip unused pybuild byte-compiling
  * [0f5c915] Run Python unit tests as autopkgtest
  * [b1e8dbf] Drop unneeded dh_auto_test override
  * [0f4decc] New upstream version 0.7.2
  * [00c0ace] Add new test and XML files to install manifest

 -- Kurt Kremitzki <kkremitzki@debian.org>  Wed, 12 Oct 2022 14:11:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pycollada
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Kurt Kremitzki <kurt@kwk.systems>
+Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3,
                python3-dateutil,
                python3-lxml,
@@ -12,7 +12,7 @@
                python3-sphinx,
                dh-python,
                graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/pycollada
 Vcs-Git: https://salsa.debian.org/science-team/pycollada.git
 Homepage: https://pycollada.readthedocs.org

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--no-compile

%:
	dh $@ --buildsystem=pybuild --with python3

export PYTHONPATH :=  $(CURDIR).;

override_dh_installdocs:
	dh_installdocs
	make -C docs html
	cp -r docs/_build/html debian/python-collada-doc/usr/share/doc/python-collada-doc
	rm debian/python-collada-doc/usr/share/doc/python-collada-doc/html/_static/empty
	dh_sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pycollada.egg-info
	rm -rf docs/_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=4
https://github.com/pycollada/pycollada/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## pycollada 0.8

=== debian/changelog ===
pycollada (0.8-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with NumPy 2.3 (Closes: #1114708)

 -- Timo Röhling <roehling@debian.org>  Tue, 07 Oct 2025 17:52:33 +0200

pycollada (0.8-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * Fix setup.py so the unit test data files are copied during the
    installation stage. This makes the unit tests work again.
  * Remove unit tests from python3-collada package.
  * Replace deprecated numpy types with appropriate ones. This makes pycollada
    compatible with numpy 2.0.
  * Closes: #1080123

  [ Andreas Tille ]
  * New upstream version
    Closes: #1095626
  * Simply remove (re)generated docs
    Closes: #1046508
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2025 21:37:07 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-sphinx,
                dh-python,
                graphviz
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pycollada
 Vcs-Git: https://salsa.debian.org/science-team/pycollada.git
 Homepage: https://pycollada.readthedocs.org

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh_auto_clean
 	rm -rf pycollada.egg-info
 	rm -rf docs/_build
+	rm -rf docs/reference/generated/*
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

=== debian/tests/control ===
Test-Command: cp -av collada/tests "${AUTOPKGTEST_TMP}"; cd "${AUTOPKGTEST_TMP}"; py.test-3 -v
Depends: @, python3-pytest
